<?
include_once ("toolbar.class.php");

class formElemento{

	var $dados;
	var $campos;
	var $tipo;
    var $idCat;
	var $path;
	var $req;
	var $id;

    function inicio($action=""){ ?>   
		<form enctype="multipart/form-data;charset=ISO-8859-1" name="dataform" id="dataform" action="main.php" method="POST" accept-charset="ISO-8859-1">
    	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="rebordos">
		<tr><td colspan="2">
        <? 
    }

    function fim(){
    ?>	
    	</table>
		</form>    	
    <?
   	}

    function registo($pre=""){
			if ($this->id)
				$lab="Registo nº $pre ".$this->id;
			 else 
				$lab="Registo Novo";
			return $lab;
	}


    function titulo($texto="", $edit=0,  $imagem="", $textodireita=""){
		if ($texto==""){
		
			$cat1= new categoria;
        	
			switch($this->tipo){
				case "produto":	case "buyer": case "seller":
					$pre=ucfirst(substr($this->tipo,0,1));
					$cat="produtoCategoria";
					$texto="/ ". ucfirst($this->tipo)." " . $cat1->path($this->idCat, $cat);
					break;
				case "destaque":
					$pre=ucfirst(substr($this->tipo,0,1));
					$cat="categoria";
					if (is_numeric($this->idCat)) {
						$texto="/ ". ucfirst($this->tipo)." " . $cat1->path($this->idCat, $cat) . $texto;
					} else {
						switch ($this->idCat){
							case '1N': $tit=" / Home / Noticias";break;
							case '1G': $tit=" / Home / Guias Práticos";break;
							case '1C': $tit=" / Home / Calculadoras";break;
							case '1S': $tit=" / Home / Saiba +";break;
							case '2G': $tit=" / Em Baixo / Guias Práticos";break;
							case '2C': $tit=" / Em Baixo  / Calculadoras";break;
							case '2S': $tit=" / Em Baixo  / Saiba +";break;
							case '3G': $tit=" / Direita / Guias Práticos";break;
							case '3C': $tit=" / Direita / Calculadoras";break;
							case '3S': $tit=" / Direita / Saiba +";break;
							case '3R': $tit=" / Direita / Revista";break;
						}
						
						$texto="/ ". ucfirst($this->tipo)." " . $tit . $texto;
					}
					break;
				default:
					$cat="categoria";
					$texto=$cat1->path($this->idCat, $cat);					
			}
		}
        ?>
        <div id="divTopoCategoriaLista">
	        <table cellspacing="0" cellpadding="0" border="0" width="100%">
		        <tr>
		        <td height="28" colspan=1 width="50%" class="formTitulo"><?=$texto ?><? if($edit) echo $this->registo($pre);?></td>
		        <td height="28" style="text-align: right;padding-right: 5px" colspan=1 width="50%" class="formTitulo" ><?=$textodireita ?></td>
		        </tr>
	        </table>
        </div>
		<? if ($edit) {?><br /><? }
    }
    
    //////
    function campoTexto($titulo, $nome, $obrigatorio=""){ ?>
    	<p><label for="<?=$nome?>"><?=$titulo?></label>
    	<input type="text" id="<?=$nome?>" name="<?=$nome?>" class="campo <?=$obrigatorio?>" value="<?=$this->dados[$nome] ?>"></p>
    <? }
	
	function campoPassword($titulo, $nome, $obrigatorio=""){
	?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
		<input id="<?=$nome?>" name="<?=$nome?>" type="password" class="campo <?=$obrigatorio?>" value="<?=$this->dados[$nome] ?>" /></p>
    <? }
	
	function campoFile($titulo, $nome, $obrigatorio=""){ ?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
		<input id="<?=$nome?>" name="<?=$nome?>" type="file" class="campo <?=$obrigatorio?>" /></p>
    <? }
	
	function label($titulo, $nome="&nbsp;"){ ?>
	<p><label for="<?=$nome?>"><?=$titulo?></label><div class="campo"><?=$nome ?></div></p>
    <? }
    
	function labelBR($titulo, $nome="&nbsp;"){ ?>
	<p><label for="<?=$nome?>"><?=$titulo?></label><?=$nome ?></p><br>
    <? }
    
	function label1($nome){ ?>
		<p style="padding-left:200px"><?=$nome ?></p>
    <? }

	function campoValor($nome, $valor){
    	?><input id="<?=$nome?>" type="hidden" name="<?=$nome?>" value="<?=$valor ?>"><?
    }
    
    function campoMudaPassword($id){?>
    		<p><label for="mudar password">Muda Password</label>
			<INPUT NAME="botao" TYPE="button" size="47" value="mudar password" onclick="open_password(<?=$id?>)"></p>
	<? }
    
    function campoAreaTexto($titulo, $nome, $obrigatorio=""){	?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
		<textarea cols="60" rows="5" class="campo" id="<?=$nome?>" name="<?=$nome?>"><?=$this->dados[$nome] ?></textarea></p>
    <? }
  
    function campoSimNao($titulo, $nome, $selecionado=0){
   		if ($this->dados[$nome])
			$sel='checked="checked"';
		else if ($this->dados[$nome]==="0") 
			$sel=''; 
		else if ($selecionado)
			$sel='checked="checked"';
		else 
			$sel=''; 
		?><p><label for="<?=$nome?>"><?=$titulo?></label>
      	<input class="<?=$obrigatorio?>" type="checkbox" id="<?=$nome?>" name="<?=$nome?>" value="1" <?=$sel ?>  /></p>
    <? }
		
	function campoSimNaoTodos($nome){ ?>
		<SCRIPT LANGUAGE="JavaScript">
		function allck(){ 
		 	for (var i = 0; i < document.dataform.elements.length; i++) { 
		 		var e = document.dataform.elements[i]; 
				if (e.type == 'checkbox') {
				 
					e.checked = true; 
					} 
			} 
		} 
		</SCRIPT>
			<p><label for="<?=$nome?>">Todos</label>
    	    <input name="todos" type="button" onClick="allck('<?=$nome?>')" value="todos"></p>
    <? }
	
	function campoSimNaoGrupo($titulo, $nomeGrupo, $valor, $obrigatorio=""){
    
	if ($this->dados[$nome]==$titulo) $selecionado=1;
	?>
			<p><label for="<?=$nome?>"><?=$titulo?></label>
    	    <input class="<?=$obrigatorio?>" type="checkbox" id="<?=$nomeGrupo?>" name="<?=$nomeGrupo?>[]" value="<?=$valor?>" <?=$selecionado?'checked="checked"':''?>  />
            </p>
    <? }
    
    function campoSeleccao($titulo, $nome, $dadosSel, $selIdSel=1, $obrigatorio=""){
      ?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
			<select name="<?=$nome?>" id="<?=$nome?>" class="<?=$obrigatorio?>">
				<option value="" selected>Escolha...</option>
				<?foreach ($dadosSel as $selId => $label){ ?>
					<option value="<?=$selId?>" <? if($selIdSel==$selId) echo 'selected';?>><?=$label?></option>
	            <?}?>
			</select>
		</p>
      <?
    }
    
    function campoSeleccao2($titulo, $nome, $dadosSel, $campoSel1 , $campoSel2, $selIdSel=1, $obrigatorio=""){
      ?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
			<select class="<?=$obrigatorio?>" name="<?=$nome?>" id="<?=$nome?>">
				<option value="" selected>Escolha...</option>
				<?foreach ($dadosSel as $selId => $label){ ?>
					<option value="<?=$label[$campoSel1]?>" <? if($selIdSel==$label[$campoSel1]) echo 'selected';?>>
				 	 <?=$label[$campoSel2]?>
				  	</option>
	            <?}?>
			</select>
		</p>
      <?
    }
	
	function tabela($titulo, $cabecalho, $dados){
        ?><p>
        	<label for="<?=$nome?>"><?=$titulo?></label>
			<table width="100%" cellpadding="0" cellspacing="0" class="rebordos"><tr class="tituloLista">
			<?
			foreach($cabecalho as $label){
            	$linha=($i % 2)?"1":"0";
            	echo "<td><div class=\"formCampos\">   $label   </div></td>";
			}
			?>
			</tr>
			<?
			$max= sizeof($dados);
			$i=0;
			
            foreach($dados as $t){
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';
                foreach ($t as $l=>$c)
					echo "<td>   $c   </td>";
                echo "</tr>\n";        
				$i++;
    		}
		?>
			</table>
		</p>
      <?
    }
 
	function tabelaInterior($titulo, $cabecalho, $dados){
        ?><p>
        	<label for="<?=$nome?>"><?=$titulo?></label>
			<table width="90%" cellpadding="0" cellspacing="0" class="rebordos"><tr class="tituloLista">
			<?
			foreach($cabecalho as $label){
            	$linha=($i % 2)?"1":"0";
            	echo "<td><div class=\"formCampos\">". ucfirst($label)."</div></td>";
			}
			?>
			</tr>
			<?
			$max= sizeof($dados);
			$i=0;
			
            foreach($dados as $t){
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';
                foreach ($t as $l=>$c)
					echo "<td>   $c   </td>";
                echo "</tr>\n";        
				$i++;
    		}
		?>
			</table>
		</p>
      <?
    }
    
     function botoesLayer(){
      ?>
		<div>
			<input id="submit1" type="submit" name="cmd" value="Ok" class="layer_confirmar">
	<!--	<input type="button" value="Cancelar" onClick="MM_showHideLayers('Layer1','','hide')">-->
			<input type="button" value="Cancelar" class="layer_cancelar">
		</div>
      <? }   

      
      
      function panelIni($idPanel, $hide){
      	if ($hide) $extra='style="display: none;"';
      	?>
      	<div id="<?=$idPanel ?>" <?= $extra ?> >
      <?}

      function panelEnd(){
      	?></div><? 
      }
    

}

?>
